# Generated by go2rpm
%bcond_without check

# https://github.com/microcosm-cc/bluemonday
%global goipath         github.com/microcosm-cc/bluemonday
Version:                1.0.17

%gometa

%global common_description %{expand:
bluemonday is a HTML sanitizer implemented in Go. It is fast and highly
configurable.

bluemonday takes untrusted user generated content as an input, and will
return HTML that has been sanitised against a whitelist of approved HTML
elements and attributes so that you can safely include the content in your
web page.}

%global golicenses      LICENSE.md
%global godocs          CONTRIBUTING.md CREDITS.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Fast golang HTML sanitizer

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/aymerick/douceur/parser)
BuildRequires:  golang(golang.org/x/net/html)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE.md
%doc CONTRIBUTING.md CREDITS.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
%autochangelog
